### org.jfree.layouting.renderer.background

# Class ImageBackground

- `java.lang.Object`
- - `org.jfree.layouting.renderer.background.SimpleBackground`
  - - `org.jfree.layouting.renderer.background.ImageBackground`

`public class ImageBackground`
`extends SimpleBackground`

A complex background.

Author:
  Thomas Morgner

  ## Constructor Summary

  `ImageBackground()`

  ## Method Summary

  `CSSValue`

  `getClipX()`

  `CSSValue`

  `getClipY()`

  `StrictDimension`

  `getContentSize()`

  `RenderLength`

  `getHeight()`

  `CSSValue`

  `getOriginX()`

  `CSSValue`

  `getOriginY()`

  `CSSValue`

  `getRepeatX()`

  `CSSValue`

  `getRepeatY()`

  `Object`

  `getResource()`

  `ResourceKey`

  `getSource()`

  `RenderLength`

  `getWidth()`

  `RenderLength`

  `getX()`

  `RenderLength`

  `getY()`

  `void`

  `setClipX(CSSValue clipX)`

  `void`

  `setClipY(CSSValue clipY)`

  `void`

  `setContentSize(StrictDimension contentSize)`

  `void`

  `setHeight(RenderLength height)`

  `void`

  `setOriginX(CSSValue originX)`

  `void`

  `setOriginY(CSSValue originY)`

  `void`

  `setRepeatX(CSSValue repeatX)`

  `void`

  `setRepeatY(CSSValue repeatY)`

  `void`

  `setResource(Object resource)`

  `void`

  `setSource(ResourceKey source)`

  `void`

  `setWidth(RenderLength width)`

  `void`

  `setX(RenderLength x)`

  `void`

  `setY(RenderLength y)`

  ### Methods inherited from class org.jfree.layouting.renderer.background.SimpleBackground

  `getBackgroundColor`

## Constructor Details

### ImageBackground

    public ImageBackground()

## Method Details

### getClipX

    public CSSValue getClipX()

### getClipY

    public CSSValue getClipY()

### getContentSize

    public StrictDimension getContentSize()

### getHeight

    public RenderLength getHeight()

### getOriginX

    public CSSValue getOriginX()

### getOriginY

    public CSSValue getOriginY()

### getRepeatX

    public CSSValue getRepeatX()

### getRepeatY

    public CSSValue getRepeatY()

### getResource

    public Object getResource()

### getSource

    public ResourceKey getSource()

### getWidth

    public RenderLength getWidth()

### getX

    public RenderLength getX()

### getY

    public RenderLength getY()

### setClipX

    public void setClipX(CSSValue clipX)

### setClipY

    public void setClipY(CSSValue clipY)

### setContentSize

    public void setContentSize(StrictDimension contentSize)

### setHeight

    public void setHeight(RenderLength height)

### setOriginX

    public void setOriginX(CSSValue originX)

### setOriginY

    public void setOriginY(CSSValue originY)

### setRepeatX

    public void setRepeatX(CSSValue repeatX)

### setRepeatY

    public void setRepeatY(CSSValue repeatY)

### setResource

    public void setResource(Object resource)

### setSource

    public void setSource(ResourceKey source)

### setWidth

    public void setWidth(RenderLength width)

### setX

    public void setX(RenderLength x)

### setY

    public void setY(RenderLength y)